Subject: [netmod] [Technical Errata Reported] RFC7950 (5517)

From: RFC Errata System <[email-masked]>
Date: Mon, 8 Oct 2018 00:12:50 -0700 (PDT)

The following errata report has been submitted for RFC7950,
"The YANG 1.1 Data Modeling Language".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5517

--------------------------------------
Type: Technical
Reported by: Rohit R Ranade <[email-masked]>

Section: 10.4.2

Original Text
-------------
The derived-from-or-self() function returns "true" if any node in the
   argument "nodes" is a node of type "identityref" and its value is an
   identity that is equal to or derived from (see Section 7.18.2) the
   identity "identity"; otherwise, it returns "false".

Corrected Text
--------------
The derived-from-or-self() function returns "true" if any node in the
 argument "nodes" is a node of type equal to or derived 
 from "identityref" and its value is an identity that is equal to or
 derived from (see Section 7.18.2) the identity "identity"; 
 otherwise, it returns "false".

Notes
-----
The node-set can have node which are of types that may be derived from an identityref. Typical example is in ietf-netconf-nmda, where "when 'derived-from-or-self(datastore, "ds:operational")';" is used, but the "datastore" node is of type "datastore-ref" defined in ietf-datastores module, which is in-turn derived from "identityref"

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 08 Oct 2018 13:56:21 +0200 (CEST)

Hi,

I agree that the text needs clarification.  However, I propose this
text instead:

  The derived-from-or-self() function returns "true" if any node in the
  argument "nodes" is a node of type "identityref" or a type derived
  from "identityref", and its value is an identity that is equal to or
  derived from (see Section 7.18.2) the identity "identity"; 
  otherwise, it returns "false".

/martin

---

From: Ladislav Lhotka <[email-masked]>
Date: Mon, 08 Oct 2018 14:21:08 +0200

>   otherwise, it returns "false".

This formulation is better.

It is somewhat confusing that "derived from" has two unrelated meanings in the
same sentence.

Lada

> > The node-set can have node which are of types that may be derived from an
> > identityref. Typical example is in ietf-netconf-nmda, where "when 'derived-
> > from-or-self(datastore, "ds:operational")';" is used, but the "datastore"
> > node is of type "datastore-ref" defined in ietf-datastores module, which is
> > in-turn derived from "identityref"
> > 
> > Instructions:
> > -------------
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67